Issue 95533 - WW8: crash on export of (odd) table
Summary: WW8: crash on export of (odd) table
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: save-export (show other issues)
Version: OOo 3.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-28 10:54 UTC by caolanm
Modified: 2013-08-07 14:43 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
demo .zip (5.52 MB, application/x-compressed)
2008-10-28 10:55 UTC, caolanm
no flags Details
workaround patch (738 bytes, patch)
2008-10-28 10:56 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2008-10-28 10:54:40 UTC
The following (large) .zip is a .html file which when exported to .doc crashes.
Attached is a workaround patch to avoid crashing.

(New 3.1 table export might make this redundant, not sure)
Comment 1 caolanm 2008-10-28 10:55:42 UTC
Created attachment 57520 [details]
demo .zip
Comment 2 caolanm 2008-10-28 10:56:09 UTC
Created attachment 57521 [details]
workaround patch
Comment 3 michael.ruess 2008-11-18 16:07:47 UTC
Setting appropriate target for "Patch".
Comment 4 openoffice 2008-11-19 15:48:58 UTC
Sending        source/filter/ww8/wrtw8nds.cxx
Transmitting file data .
Committed revision 264006.
Comment 5 openoffice 2008-12-01 14:19:15 UTC
ready for QA
Comment 6 michael.ruess 2008-12-08 20:23:26 UTC
Verified in CWS hb12.
Comment 7 michael.ruess 2009-01-13 14:05:44 UTC
Checked fix in DEV300m38.